Index: connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedConnectionJDK6.java
===================================================================
--- connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedConnectionJDK6.java	(revision 112935)
+++ connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedConnectionJDK6.java	(working copy)
@@ -40,6 +40,7 @@
 import org.jboss.resource.adapter.jdbc.WrappedConnection;
 import org.jboss.resource.adapter.jdbc.WrappedPreparedStatement;
 import org.jboss.resource.adapter.jdbc.WrappedStatement;
+import org.jboss.resource.adapter.jdbc.jdbc4.WrappedConnectionJDBC4;
 
 /**
  * WrappedConnectionJDK6.
@@ -48,7 +49,7 @@
  * @version $Revision$
  */
 @SuppressWarnings("unchecked")
-public class WrappedConnectionJDK6 extends WrappedConnection
+public class WrappedConnectionJDK6 extends WrappedConnectionJDBC4
 {
    /**
     * Create a new WrappedConnectionJDK6.
@@ -74,273 +75,4 @@
    {
       return new WrappedCallableStatementJDK6(this, statement);
    }
-
-   public Array createArrayOf(String typeName, Object[] elements) throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.createArrayOf(typeName, elements);
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public Blob createBlob() throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.createBlob();
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public Clob createClob() throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.createClob();
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public NClob createNClob() throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.createNClob();
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public SQLXML createSQLXML() throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.createSQLXML();
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public Struct createStruct(String typeName, Object[] attributes) throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.createStruct(typeName, attributes);
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public Properties getClientInfo() throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.getClientInfo();
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public String getClientInfo(String name) throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.getClientInfo(name);
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public boolean isValid(int timeout) throws SQLException
-   {
-      lock();
-      try
-      {
-         Connection c = getUnderlyingConnection();
-         try
-         {
-            return c.isValid(timeout);
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public void setClientInfo(Properties properties) throws SQLClientInfoException
-   {
-      try
-      {
-         lock();
-         try
-         {
-            Connection c = getUnderlyingConnection();
-            try
-            {
-               c.setClientInfo(properties);
-            }
-            catch (Throwable t)
-            {
-               throw checkException(t);
-            }
-         }
-         catch (SQLClientInfoException e)
-         {
-            throw e;
-         }
-         catch (SQLException e)
-         {
-            SQLClientInfoException t = new SQLClientInfoException();
-            t.initCause(e);
-            throw t;
-         }
-      }
-      catch (SQLException e)
-      {
-         SQLClientInfoException t = new SQLClientInfoException();
-         t.initCause(e);
-         throw t;
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public void setClientInfo(String name, String value) throws SQLClientInfoException
-   {
-      try
-      {
-         lock();
-         try
-         {
-            Connection c = getUnderlyingConnection();
-            try
-            {
-               c.setClientInfo(name, value);
-            }
-            catch (Throwable t)
-            {
-               throw checkException(t);
-            }
-         }
-         catch (SQLClientInfoException e)
-         {
-            throw e;
-         }
-         catch (SQLException e)
-         {
-            SQLClientInfoException t = new SQLClientInfoException();
-            t.initCause(e);
-            throw t;
-         }
-      }
-      catch (SQLException e)
-      {
-         SQLClientInfoException t = new SQLClientInfoException();
-         t.initCause(e);
-         throw t;
-      }
-      finally
-      {
-         unlock();
-      }
-   }
 }
Index: connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedCallableStatementJDK6.java
===================================================================
--- connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedCallableStatementJDK6.java	(revision 112935)
+++ connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedCallableStatementJDK6.java	(working copy)
@@ -35,6 +35,7 @@
 
 import org.jboss.resource.adapter.jdbc.WrappedCallableStatement;
 import org.jboss.resource.adapter.jdbc.WrappedResultSet;
+import org.jboss.resource.adapter.jdbc.jdbc4.WrappedCallableStatementJDBC4;
 
 /**
  * WrappedCallableStatementJDK6.
@@ -42,7 +43,7 @@
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
  * @version $Revision$
  */
-public class WrappedCallableStatementJDK6 extends WrappedCallableStatement
+public class WrappedCallableStatementJDK6 extends WrappedCallableStatementJDBC4
 {
    public WrappedCallableStatementJDK6(WrappedConnectionJDK6 lc, CallableStatement s)
    {
@@ -53,696 +54,4 @@
    {
       return new WrappedResultSetJDK6(this, resultSet);
    }
-
-   public boolean isClosed() throws SQLException
-   {
-      try
-      {
-         PreparedStatement wrapped = getWrappedObject();
-         if (wrapped == null)
-            return true;
-         return wrapped.isClosed();
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public boolean isPoolable() throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.isPoolable();
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setPoolable(boolean poolable) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setPoolable(poolable);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setAsciiStream(int parameterIndex, InputStream x, long length) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setAsciiStream(parameterIndex, x, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setAsciiStream(int parameterIndex, InputStream x) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setAsciiStream(parameterIndex, x);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBinaryStream(int parameterIndex, InputStream x, long length) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBinaryStream(parameterIndex, x, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBinaryStream(int parameterIndex, InputStream x) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBinaryStream(parameterIndex, x);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBlob(int parameterIndex, InputStream inputStream, long length) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBlob(parameterIndex, inputStream, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBlob(int parameterIndex, InputStream inputStream) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBlob(parameterIndex, inputStream);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setCharacterStream(int parameterIndex, Reader reader, long length) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setCharacterStream(parameterIndex, reader, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setCharacterStream(int parameterIndex, Reader reader) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setCharacterStream(parameterIndex, reader);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setClob(int parameterIndex, Reader reader, long length) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setClob(parameterIndex, reader, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setClob(int parameterIndex, Reader reader) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setClob(parameterIndex, reader);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNCharacterStream(int parameterIndex, Reader value, long length) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNCharacterStream(parameterIndex, value, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNCharacterStream(int parameterIndex, Reader value) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNCharacterStream(parameterIndex, value);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNClob(int parameterIndex, NClob value) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNClob(parameterIndex, value);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNClob(int parameterIndex, Reader reader, long length) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNClob(parameterIndex, reader, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNClob(int parameterIndex, Reader reader) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNClob(parameterIndex, reader);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNString(int parameterIndex, String value) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNString(parameterIndex, value);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setRowId(int parameterIndex, RowId x) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setRowId(parameterIndex, x);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setSQLXML(int parameterIndex, SQLXML xmlObject) throws SQLException
-   {
-      PreparedStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setSQLXML(parameterIndex, xmlObject);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public Reader getCharacterStream(int parameterIndex) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getCharacterStream(parameterIndex);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public Reader getCharacterStream(String parameterName) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getCharacterStream(parameterName);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public Reader getNCharacterStream(int parameterIndex) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getNCharacterStream(parameterIndex);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public Reader getNCharacterStream(String parameterName) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getCharacterStream(parameterName);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public NClob getNClob(int parameterIndex) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getNClob(parameterIndex);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public NClob getNClob(String parameterName) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getNClob(parameterName);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public String getNString(int parameterIndex) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getNString(parameterIndex);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public String getNString(String parameterName) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getNString(parameterName);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public RowId getRowId(int parameterIndex) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getRowId(parameterIndex);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public RowId getRowId(String parameterName) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getRowId(parameterName);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public SQLXML getSQLXML(int parameterIndex) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getSQLXML(parameterIndex);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public SQLXML getSQLXML(String parameterName) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         return statement.getSQLXML(parameterName);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setAsciiStream(String parameterName, InputStream x, long length) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setAsciiStream(parameterName, x, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setAsciiStream(String parameterName, InputStream x) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setAsciiStream(parameterName, x);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBinaryStream(String parameterName, InputStream x, long length) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBinaryStream(parameterName, x, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBinaryStream(String parameterName, InputStream x) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBinaryStream(parameterName, x);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBlob(String parameterName, Blob x) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBlob(parameterName, x);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBlob(String parameterName, InputStream inputStream, long length) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBlob(parameterName, inputStream, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setBlob(String parameterName, InputStream inputStream) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setBlob(parameterName, inputStream);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setCharacterStream(String parameterName, Reader reader, long length) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setCharacterStream(parameterName, reader, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setCharacterStream(String parameterName, Reader reader) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setCharacterStream(parameterName, reader);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setClob(String parameterName, Clob x) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setClob(parameterName, x);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setClob(String parameterName, Reader reader, long length) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setClob(parameterName, reader, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setClob(String parameterName, Reader reader) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setClob(parameterName, reader);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNCharacterStream(String parameterName, Reader value, long length) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNCharacterStream(parameterName, value, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNCharacterStream(String parameterName, Reader value) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNCharacterStream(parameterName, value);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNClob(String parameterName, NClob value) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNClob(parameterName, value);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNClob(String parameterName, Reader reader, long length) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNClob(parameterName, reader, length);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNClob(String parameterName, Reader reader) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNClob(parameterName, reader);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setNString(String parameterName, String value) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setNString(parameterName, value);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setRowId(String parameterName, RowId x) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setRowId(parameterName, x);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
-   public void setSQLXML(String parameterName, SQLXML xmlObject) throws SQLException
-   {
-      CallableStatement statement = getUnderlyingStatement();
-      try
-      {
-         statement.setSQLXML(parameterName, xmlObject);
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-   }
-
 }
Index: connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedStatementJDK6.java
===================================================================
--- connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedStatementJDK6.java	(revision 112935)
+++ connector/src/main/org/jboss/resource/adapter/jdbc/jdk6/WrappedStatementJDK6.java	(working copy)
@@ -27,6 +27,7 @@
 
 import org.jboss.resource.adapter.jdbc.WrappedResultSet;
 import org.jboss.resource.adapter.jdbc.WrappedStatement;
+import org.jboss.resource.adapter.jdbc.jdbc4.WrappedStatementJDBC4;
 
 /**
  * WrappedStatementJDK6.
@@ -34,7 +35,7 @@
  * @author <a href="adrian@jboss.com">Adrian Brock</a>
  * @version $Revision$
  */
-public class WrappedStatementJDK6 extends WrappedStatement
+public class WrappedStatementJDK6 extends WrappedStatementJDBC4
 {
    public WrappedStatementJDK6(WrappedConnectionJDK6 lc, Statement s)
    {
@@ -45,66 +46,4 @@
    {
       return new WrappedResultSetJDK6(this, resultSet);
    }
-
-   public boolean isClosed() throws SQLException
-   {
-      lock();
-      try
-      {
-         Statement wrapped = getWrappedObject();
-         if (wrapped == null)
-            return true;
-         return wrapped.isClosed();
-      }
-      catch (Throwable t)
-      {
-         throw checkException(t);
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public boolean isPoolable() throws SQLException
-   {
-      lock();
-      try
-      {
-         Statement statement = getUnderlyingStatement();
-         try
-         {
-            return statement.isPoolable();
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
-
-   public void setPoolable(boolean poolable) throws SQLException
-   {
-      lock();
-      try
-      {
-         Statement statement = getUnderlyingStatement();
-         try
-         {
-            statement.setPoolable(poolable);
-         }
-         catch (Throwable t)
-         {
-            throw checkException(t);
-         }
-      }
-      finally
-      {
-         unlock();
-      }
-   }
 }
Index: connector/src/main/org/jboss/resource/adapter/jdbc/jdk7/WrappedConnectionFactoryJDK7.java
===================================================================
--- connector/src/main/org/jboss/resource/adapter/jdbc/jdk7/WrappedConnectionFactoryJDK7.java	(revision 0)
+++ connector/src/main/org/jboss/resource/adapter/jdbc/jdk7/WrappedConnectionFactoryJDK7.java	(revision 0)
@@ -0,0 +1,109 @@
+/*
+ * JBoss, Home of Professional Open Source.
+ * Copyright (c) 2012, Red Hat, Inc., and individual contributors
+ * as indicated by the @author tags. See the copyright.txt file in the
+ * distribution for a full listing of individual contributors.
+ *
+ * This is free software; you can redistribute it and/or modify it
+ * under the terms of the GNU Lesser General Public License as
+ * published by the Free Software Foundation; either version 2.1 of
+ * the License, or (at your option) any later version.
+ *
+ * This software is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this software; if not, write to the Free
+ * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+ * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
+ */
+package org.jboss.resource.adapter.jdbc.jdk7;
+
+import org.jboss.resource.adapter.jdbc.BaseWrapperManagedConnection;
+import org.jboss.resource.adapter.jdbc.CachedCallableStatement;
+import org.jboss.resource.adapter.jdbc.CachedPreparedStatement;
+import org.jboss.resource.adapter.jdbc.WrappedCallableStatement;
+import org.jboss.resource.adapter.jdbc.WrappedConnection;
+import org.jboss.resource.adapter.jdbc.WrappedConnectionFactory;
+import org.jboss.resource.adapter.jdbc.WrappedPreparedStatement;
+import org.jboss.resource.adapter.jdbc.WrappedResultSet;
+import org.jboss.resource.adapter.jdbc.WrappedStatement;
+import org.jboss.resource.adapter.jdbc.jdbc4_1.CachedCallableStatementJDBC4_1;
+import org.jboss.resource.adapter.jdbc.jdbc4_1.CachedPreparedStatementJDBC4_1;
+import org.jboss.resource.adapter.jdbc.jdbc4_1.WrappedCallableStatementJDBC4_1;
+import org.jboss.resource.adapter.jdbc.jdbc4_1.WrappedConnectionJDBC4_1;
+import org.jboss.resource.adapter.jdbc.jdbc4_1.WrappedPreparedStatementJDBC4_1;
+import org.jboss.resource.adapter.jdbc.jdbc4_1.WrappedResultSetJDBC4_1;
+import org.jboss.resource.adapter.jdbc.jdbc4_1.WrappedStatementJDBC4_1;
+
+import java.sql.CallableStatement;
+import java.sql.PreparedStatement;
+import java.sql.ResultSet;
+import java.sql.SQLException;
+import java.sql.Statement;
+
+/**
+ * @author <a href="mailto:cdewolf@redhat.com">Carlo de Wolf</a>
+ */
+public class WrappedConnectionFactoryJDK7 implements WrappedConnectionFactory
+{
+   @Override
+   public WrappedConnection createWrappedConnection(BaseWrapperManagedConnection mc)
+   {
+      return new WrappedConnectionJDBC4_1(mc)
+      {
+         @Override
+         protected WrappedStatement wrapStatement(Statement statement)
+         {
+            return new WrappedStatementJDBC4_1(this, statement)
+            {
+               @Override
+               protected WrappedResultSet wrapResultSet(ResultSet resultSet)
+               {
+                  return new WrappedResultSetJDBC4_1(this, resultSet) {};
+               }
+            };
+         }
+
+         @Override
+         protected WrappedPreparedStatement wrapPreparedStatement(PreparedStatement statement)
+         {
+            return new WrappedPreparedStatementJDBC4_1(this, statement)
+            {
+               @Override
+               protected WrappedResultSet wrapResultSet(ResultSet resultSet)
+               {
+                  return new WrappedResultSetJDBC4_1(this, resultSet) {};
+               }
+            };
+         }
+
+         @Override
+         protected WrappedCallableStatement wrapCallableStatement(CallableStatement statement)
+         {
+            return new WrappedCallableStatementJDBC4_1(this, statement)
+            {
+               @Override
+               protected WrappedResultSet wrapResultSet(ResultSet resultSet)
+               {
+                  return new WrappedResultSetJDBC4_1(this, resultSet) {};
+               }
+            };
+         }
+      };
+   }
+
+   @Override
+   public CachedPreparedStatement createCachedPreparedStatement(PreparedStatement ps) throws SQLException
+   {
+      return new CachedPreparedStatementJDBC4_1(ps) {};
+   }
+
+   @Override
+   public CachedCallableStatement createCachedCallableStatement(CallableStatement cs) throws SQLException
+   {
+      return new CachedCallableStatementJDBC4_1(cs) {};
+   }
+}
